edu.isi.pegasus.planner.classes

## Class CompoundTransformation

- java.lang.Object
- - edu.isi.pegasus.planner.classes.CompoundTransformation

    public class CompoundTransformation
    extends java.lang.Object

A data class to contain compound transformations.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`protected java.lang.String` `mName` The name of the tranformation.
`protected java.lang.String` `mNamespace` The namespace of the compound transformation.
`protected Notifications` `mNotifications` All the notifications associated with the job
`protected java.util.List<PegasusFile>` `mUses` The list of dependant executables
`protected java.lang.String` `mVersion` The version

### Constructor Summary

Constructors
Constructor and Description
`CompoundTransformation(java.lang.String name)` Constructor
`CompoundTransformation(java.lang.String namespace, java.lang.String name, java.lang.String version)` Overloaded Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addDependantFile(PegasusFile pf)` Adds a dependant file.
`void` `addNotification(Invoke invoke)` Adds a Invoke object correpsonding to a notification.
`void` `addNotifications(Notifications invokes)` Adds all the notifications passed to the underlying container.
`boolean` `equals(java.lang.Object obj)` Returns whether two objects are equal or not on the basis of the complete name of the transformation.
`java.lang.String` `getCompleteName()` Returns the complete name for the transformation.
`java.util.List<PegasusFile>` `getDependantFiles()` Returns the List of dependant files
`java.lang.String` `getName()` Returns name of compound transformation.
`java.lang.String` `getNamespace()` Returns the namespace
`Notifications` `getNotifications()` Returns all the notifications associated with the job.
`java.util.Collection<Invoke>` `getNotifications(Invoke.WHEN when)` Returns a collection of all the notifications that need to be done for a particular condition
`java.lang.String` `getVersion()` Returns the version
`int` `hashCode()` Calculate a hash code value for the object to support hash tables.
`java.lang.String` `toString()` Converts object to String

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mNamespace

    protected java.lang.String mNamespace

The namespace of the compound transformation.

#### mName

    protected java.lang.String mName

The name of the tranformation.

#### mVersion

    protected java.lang.String mVersion

The version

#### mUses

    protected java.util.List<PegasusFile> mUses

The list of dependant executables

#### mNotifications

    protected Notifications mNotifications

All the notifications associated with the job

### Constructor Detail

#### CompoundTransformation

    public CompoundTransformation(java.lang.String name)

Constructor

Parameters:
  `name` - of transformation

#### CompoundTransformation

    public CompoundTransformation(java.lang.String namespace,
                                  java.lang.String name,
                                  java.lang.String version)

Overloaded Constructor

Parameters:
  `namespace` - namespace
  `name` - name
  `version` - version

### Method Detail

#### getName

    public java.lang.String getName()

Returns name of compound transformation.

Returns:
  name

#### getNamespace

    public java.lang.String getNamespace()

Returns the namespace

Returns:
  namespace

#### getVersion

    public java.lang.String getVersion()

Returns the version

Returns:
  version

#### addDependantFile

    public void addDependantFile(PegasusFile pf)

Adds a dependant file.

Parameters:
  `pf` -

#### getDependantFiles

    public java.util.List<PegasusFile> getDependantFiles()

Returns the List of dependant files

Returns:
  List of Dependant Files

#### addNotification

    public void addNotification(Invoke invoke)

Adds a Invoke object correpsonding to a notification.

Parameters:
  `invoke` - the invoke object containing the notification

#### addNotifications

    public void addNotifications(Notifications invokes)

Adds all the notifications passed to the underlying container.

Parameters:
  `invokes` - the notifications to be added

#### getNotifications

    public java.util.Collection<Invoke> getNotifications(Invoke.WHEN when)

Returns a collection of all the notifications that need to be done for a particular condition

Parameters:
  `when` - the condition
Returns:

#### getNotifications

    public Notifications getNotifications()

Returns all the notifications associated with the job.

Returns:
  the notifications

#### equals

    public boolean equals(java.lang.Object obj)

Returns whether two objects are equal or not on the basis of the complete name of the transformation.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the reference object with which to compare.
Returns:
  true, if the primary keys match, false otherwise.

#### hashCode

    public int hashCode()

Calculate a hash code value for the object to support hash tables. The hashcode value is computed only on basis of namespace, name and version fields

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  a hash code value for the object.

#### getCompleteName

    public java.lang.String getCompleteName()

Returns the complete name for the transformation.

Returns:
  the complete name

#### toString

    public java.lang.String toString()

Converts object to String

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  the textual description